Subject: Re: [PATCH net-next v1] ethtool: ethtool_get_drvinfo: populate drvinfo fields even if callback exits

From: Leon Romanovsky <[email-masked]>
Date: Fri, 11 Nov 2022 18:13:14 +0200

On Fri, Nov 11, 2022 at 03:43:36PM +0900, Vincent MAILHOL wrote:
> On Fri. 11 Nov. 2022 à 02:01, Jakub Kicinski <[email-masked]> wrote:
> > On Thu, 10 Nov 2022 11:11:38 +0200 Leon Romanovsky wrote:
> > > I will be happy to see such patch and will review it, but can't add sign-off
> > > as I'm not netdev maintainer.
> >
> > Did we finish the version removal work? :S
> >
> > Personally I'd rather direct any effort towards writing a checkpatch /
> > cocci / python check that catches new cases than cleaning up the pile
> > of drivers we have. A lot of which are not actively used..
> 
> Agree, but I will not work on that (because of other personal
> priorities). If someone else wants to do it, go ahead :)

It's ok, Jakub referred to me. I sent a lot of patches like this.
https://lore.kernel.org/netdev/[email-masked]/

> 
> What I can do is update the documentation:
> https://lore.kernel.org/netdev/[email-masked]/
> 
> 
> Yours sincerely,
> Vincent Mailhol